﻿body,
html {
    height: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0;
    font-family: -apple-system, BlinkMacSystemFont, Tahoma, Arial, Hiragino Sans GB, Microsoft YaHei, sans-serif;
}

#container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    height: 100%;
    padding: 20px;
    gap: 20px;
    box-sizing: border-box;
}

.title {
    margin-top: 5vh;
    padding: 10px 0;
    font-size: 32px;
    font-weight: 600;
    text-align: center;
}

.subtitle {
    display: flex;
    flex-direction: column;
    gap: 12px;
    font-size: 14px;
    color: gray;
}

.bg {
    flex-grow: 1;
    height: 100%;
    width: auto;
    max-height: 50vh;
    object-fit: contain;
    margin-bottom: auto;
}

@media (min-width: 600px) {
    .title {
        font-size: 36px;
    }

    .subtitle {
        font-size: 14px;
    }
}


@media (min-width: 1024px) {
    .title {
        font-size: 48px;
    }

    .subtitle {
        font-size: 16px;
    }

    .bg {
        max-height: 60vh;
    }
}
.slider-container {
    width: 300px;
    height: 40px;
    position: relative;
    margin: 20px auto;
}

.slider-track {
    width: 100%;
    height: 100%;
    background-color: #f1f1f1;
    border-radius: 20px;
    position: relative;
}

.slider-button {
    width: 40px;
    height: 40px;
    background-color: #2196F3;
    border-radius: 50%;
    position: absolute;
    left: 0;
    top: 0;
    cursor: pointer;
    transition: background-color 0.3s;
}

    .slider-button:hover {
        background-color: #0b7dda;
    }